package com.sky.ioc.enums;

import java.util.ArrayList;
import java.util.List;

public enum InformationTypeEnums {

    INFORMATION_TYPE_FLOOR(1, "楼层地图信息配置"),
    INFORMATION_TYPE_STAFF(2, "安保人员信息配置");

    private Integer type;

    private String desc;

    private InformationTypeEnums(Integer type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public static String getValue(Integer type) {
        InformationTypeEnums[] informationTypeEnumss = values();
        for (InformationTypeEnums informationTypeEnums : informationTypeEnumss) {
            if (informationTypeEnums.type().equals(type)) {
                return informationTypeEnums.desc();
            }
        }
        return null;
    }

    public static Integer getType(String desc) {
        InformationTypeEnums[] informationTypeEnumss = values();
        for (InformationTypeEnums informationTypeEnums : informationTypeEnumss) {
            if (informationTypeEnums.desc().equals(desc)) {
                return informationTypeEnums.type();
            }
        }
        return null;
    }
    public static List<String> getValues() {
        List<String> values = new ArrayList<>();
        InformationTypeEnums[] informationTypeEnumss = values();
        for (InformationTypeEnums informationTypeEnums : informationTypeEnumss) {
            values.add(informationTypeEnums.desc);
        }
        return values;
    }

    private Integer type() {
        return this.type;
    }

    private String desc() {
        return this.desc;
    }
}
