package com.sky.ioc.service.server.impl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.service.server.ServerService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

@Service
public class ServerServiceImpl implements ServerService {
    @Override
    public ReturnMsg getServerList() {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("name", "海康威视软件包");
        jsonObject.put("introduction", "海康威视相关插件");
        jsonObject.put("picture", "");
        jsonObject.put("setup_status", true);
        JSONArray jsonArray = new JSONArray();
        for (int i = 0; i < 5; i++) {
            jsonArray.add(jsonObject);
        }
        return ReturnMsg.ok(jsonArray);
    }
    

}


