package com.sky.ioc.entity.domain.organization;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class Company {

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String company_name;//公司名')
    private String logo ;//商标')
    private String abbreviation;//公司简称')
    private Integer code;//统一社会信用代码')
    private String registered_address;//注册地址')
    private String business_address;//经营地址')
    private String legal_person_name;//'法人姓名')
    private String contact_person;//联系人')
    private String contact_information;//联系人电话')
    private String company_code;//公司编码')
    private Integer staff_size;//'编制人数')
    private Integer on_guard_size;//在岗人数')
    private Integer parent_company;//'上级公司id'
    private Integer area_id;//区域id')
    private Integer office_id;//'部门id')
}
